from user import Users

class Privileges:
    def __init__(self, privileges=[]):
        """Create separate class for privileges """
        self.privileges  = privileges
    
    def show_privileges(self): 
        """ Print Privileges list """
        print(f"This user has the following privileges:\n")
        if self.privileges:
            for privilege in self.privileges:
                print(f" - {privilege}")
                break
            else: 
                print(" - This user has no privileges.")

class Admin(Users):
    def __init__(self, first_name, last_name, dob, state, hair_color):
        """ Initialize Users the add sepeicifc Admin attributes/methods """
        super().__init__(first_name, last_name, dob, state, hair_color)
        self.privileges = Privileges()